Bug 55514 - MinGW cannot start. liblangtag-0.dll is missing on the computer.
Summary: MinGW cannot start. liblangtag-0.dll is missing on the computer.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium blocker
Assignee: David Tardon
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-01 20:51 UTC by m.a.riosv
Modified: 2012-10-31 12:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Error message. (24.30 KB, image/png)
2012-10-01 20:51 UTC, m.a.riosv
Details
error message in english (8.26 KB, image/png)
2012-10-02 14:12 UTC, Korrawit Pruegsanusak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2012-10-01 20:51:12 UTC
Created attachment 67949 [details]
Error message.

Win7x64 Ultimate

master~2012-10-01_04.50.48_LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US.tar.gz
crash on star,

message in Spanish:
"soffice.bin - Error del sistem
El programa no puede iniciarse porque falta liblangtag-0.dll en el equipo. Intente reinstalar el programa para corregir este problema."

English translation:
"soffice.bin - system error
The program can not start because liblangtag-0.dll is missing on the computer. Try reinstalling the program to fix this problem."

Last version that works for me:
master~2012-09-11_06.15.51_LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US.tar.gz
Comment 1 Korrawit Pruegsanusak 2012-10-02 14:12:21 UTC
Created attachment 67996 [details]
error message in english

Confirmed with MinGW master build in Windows XP, by build dated 2012-09-27_23.59.11 and 2012-10-02_00.07.54
Comment 2 Korrawit Pruegsanusak 2012-10-02 14:13:46 UTC
Mark as NEW and change subject a bit. Thanks mariosv for the bug report :)
Comment 3 m.a.riosv 2012-10-04 21:10:02 UTC
Win7x64 Ultimate

The same error remain with:
master~2012-10-03_23.18.04_LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US
Comment 4 m.a.riosv 2012-10-05 20:34:11 UTC
I think the path length is the source of the issue:

Installing in this path, does not work (length 106):
C:\Users\four\Downloads\masterWinMinGw\LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US\LOdev 3.7\program

Installing in this path, works (length 70):
C:\LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US\LOdev 3.7\program

So I guess there is a limit on the path length to install LibreOffice. 

Maybe a verification of the path length during the installation to do not let progress with it, or a message to inform about, could avoid spent time for nothing.
Comment 5 m.a.riosv 2012-10-05 22:41:10 UTC
No luck, I have deleted all directories with install and try to install again, and the error is there again.

If I can get new run, I'll try to see what difference is between two installations, one working the other not.
Comment 6 m.a.riosv 2012-10-10 21:51:53 UTC
Error remains:

master~2012-10-09_23.01.55_LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US.tar
Comment 7 m.a.riosv 2012-10-11 10:27:52 UTC
Is there any workaround?
Comment 8 m.a.riosv 2012-10-13 20:27:01 UTC
Error remains:
master~2012-10-12_22.57.36_LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US.tar.gz
Comment 9 luksiw 2012-10-20 17:22:36 UTC
Error still exists :
master~2012-10-16_08.01.13_LibO-Dev_3.7.0.0.alpha0_Win_x86_install-arc_en-US.tar.gz
Comment 10 Not Assigned 2012-10-30 14:31:19 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5644397e44833ec43362c2d36d308c80bce8116f

fdo#55514 put liblangtag dll to install set



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Not Assigned 2012-10-31 12:31:57 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13b967e0edf0372fbd76e3ec5282fac7de6763a8

fdo#55514 put liblangtag dll into the install set



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Not Assigned 2012-10-31 12:32:15 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=069704d390d70afe507b5f049a472a6aefaed64d

fdo#55514 libgmodule is needed too



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.